Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::node_interface_matches_eventout Struct Reference

Determine if a `node_interface` matches an `eventOut` identifier. More...

`#include <openvrml/node.h>`

List of all members.

## Public Member Functions

result_type | operator() (const first_argument_type &interface_, const second_argument_type &eventout_id) const
| Determine if a `node_interface` matches an `eventOut` identifier.

## Detailed Description

Determine if a `node_interface` matches an `eventOut` identifier.

Model of
  Adaptable Binary Predicate, Default Constructible

## Member Function Documentation

openvrml::node_interface_matches_eventout::result_type openvrml::node_interface_matches_eventout::operator() | ( | const first_argument_type & | interface_,
|  | const second_argument_type & | eventout_id |
| ) |  |  | const`[inline]`

Determine if a `node_interface` matches an `eventOut` identifier.

A `node_interface` matches an `eventOut` identifier if:

- the `node_interface`'s type is `node_interface::eventout_id` and
  - the `node_interface`'s id is lexicographically equal to the `eventOut` identifier
  - or the `node_interface`'s id is lexicographically equal to the `eventOut` identifier with the string “_changed” appended.
- or, the `node_interface`'s type is `node_interface::exposedfield_id` and
  - the `node_interface`'s id is lexicographically equal to the `eventOut` identifier
  - or the `node_interface`'s id with the string “_changed” appended is lexicographically equal to the `eventOut` identifier.

Parameters:

  `[in]` | interface_ | `node_interface`.
  `[in]` | eventout_id | `eventOut` identifier.

Returns:
  `true` if `interface_` matches `eventout_id`; `false` otherwise.